Page MenuHomePhabricator

[asan-asm-instrumentation] Fixed asan-asm-stacktrace-test.cc
ClosedPublic

Authored by ygorshenin on Sep 30 2014, 12:38 PM.

Details

Summary

Fixed asan-asm-stacktrace-test.cc. Now it's supported on x86_64 and added test run when no debug info is generated.

Diff Detail

Repository
rL LLVM

Event Timeline

ygorshenin retitled this revision from to Fixed asan-asm-stacktrace-test.cc.
ygorshenin updated this object.
ygorshenin edited the test plan for this revision. (Show Details)
ygorshenin retitled this revision from Fixed asan-asm-stacktrace-test.cc to [asan-asm-instrumentation] Fixed asan-asm-stacktrace-test.cc.Sep 30 2014, 12:39 PM
ygorshenin added a reviewer: eugenis.
ygorshenin added a subscriber: Unknown Object (MLST).

PTAL

eugenis accepted this revision.Oct 1 2014, 1:08 AM
eugenis edited edge metadata.

You could check that the first two lines (READ and "in foo") are still present even w/o unwind tables.

This revision is now accepted and ready to land.Oct 1 2014, 1:08 AM
ygorshenin updated this revision to Diff 14266.Oct 1 2014, 2:28 AM
ygorshenin edited edge metadata.

Fixes.

Done, thanks!

ygorshenin closed this revision.Oct 7 2014, 4:23 AM
ygorshenin updated this revision to Diff 14501.

Closed by commit rL219200 (authored by @ygorshenin).